ValueHolder (Groovy 2.4.5)
Date: 2015-09-17

groovy.model

## Class ValueHolder

- java.lang.Object
- - groovy.model.ValueHolder

- All Implemented Interfaces:
    ValueModel

      public class ValueHolder
      extends Object
      implements ValueModel

  A simple ValueModel implementation which is a holder of an object value. Used to share local variables with closures
  Author:
    James Strachan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueHolder()`
    `ValueHolder(Class type)`
    `ValueHolder(Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Add a PropertyChangeListener to the listener list.
    `Class` | `getType()`
    `Object` | `getValue()`
    `boolean` | `isEditable()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a PropertyChangeListener from the listener list.
    `void` | `setEditable(boolean editable)`
    `void` | `setValue(Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueHolder

          public ValueHolder()

    - #### ValueHolder

          public ValueHolder(Class type)

    - #### ValueHolder

          public ValueHolder(Object value)

  - ### Method Detail

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Add a PropertyChangeListener to the listener list.
      Parameters:
        `listener` - The listener to add.

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a PropertyChangeListener from the listener list.
      Parameters:
        `listener` - The listener to remove.

    - #### getValue

          public Object getValue()

      Specified by:
        `getValue` in interface `ValueModel`

    - #### setValue

          public void setValue(Object value)

      Specified by:
        `setValue` in interface `ValueModel`

    - #### getType

          public Class getType()

      Specified by:
        `getType` in interface `ValueModel`

    - #### isEditable

          public boolean isEditable()

      Specified by:
        `isEditable` in interface `ValueModel`

    - #### setEditable

          public void setEditable(boolean editable)